Skip to content

create-from-file

POST
/public/envelope/create-from-file

Create an envelope and the first document placeholder with a file upload. Accepts multipart/form-data with a PDF, Word (DOCX/DOC), ODT, or RTF document file (max 50 MB). DOCX, ODT, and RTF files are converted to PDF. The file is processed and uploaded directly.

object
workspaceUuid

Optional. When omitted, the team’s default workspace is used.

string
>= 36 characters <= 36 characters
envelopeTitle
required

The title of the envelope being created.

string
<= 255 characters
file
required

The file to upload (PDF, Word, ODT, or RTF document, max 50MB).

string format: binary
detectSmartAnchors

Enable Smart Anchor detection. Set to ‘true’ to detect and process Smart Anchors in the PDF. Defaults to false.

string

Default Response

object
envelopeUuid
required

The unique identifier of the created envelope.

string
documentUuid
required

The unique identifier of the first document.

string
smartAnchor

When detectSmartAnchors was enabled, contains blocks and recipients added from Smart Anchors and any skipped anchors with reasons.

object
blocks
required
Array<object>
object
uuid
required
string
type
required
string
Allowed values: signature date
pageNumber
required
number
recipientEmail
required
string
recipientLabel
required
string
x
required
number
y
required
number
width
required
number
height
required
number
recipients
required
Array<object>
object
email
required
string
firstname
required
string
lastname
required
string
order
required
number
skipped
required
Array<object>
object
email
required
string
blockType
required
string
pageNumber
required
number
reason
required
string
Allowed values: UNRECOGNIZED_RECIPIENT UNSUPPORTED_BLOCK_TYPE ERROR

Default Response

object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: WORKSPACE_NOT_FOUND INVALID_FILE_DATA FILE_SIZE_EXCEEDED INVALID_PDF INVALID_REQUEST DOCUMENT_INVALID DOCUMENT_CONVERSION_UNAVAILABLE DOCUMENT_CONVERSION_FAILED INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string

Default Response

object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: AUTHENTICATION_ERROR TUNNEL_ERROR TUNNEL_SESSION_NOT_FOUND INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string

Default Response

object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: AUTHORIZATION_ERROR FEATURE_NOT_IN_CURRENT_PLAN INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string

Default Response

object
statusCode
required

HTTP status code

number
error
required
object
code
required

The error code

string
Allowed values: INTERNAL_SERVER_ERROR INVALID_REQUEST_FORMAT
message
required

The error message

string
suggestion
required

A suggestion to resolve the error

string
documentationUrl
required

A URL to the documentation

string
details

Optional validation details (e.g. for INVALID_REQUEST_FORMAT)

Array<object>

Single validation issue (e.g. from request body schema)

object
path
required

JSON path to the invalid field

Array<string>
message
required

Validation error message for this field

string
requestId
required

The unique identifier of the request

string
timestamp
required

The timestamp of the response

string
path
required

The path of the request

string